

beta_O    =   theta/RR_ss;
R_ss=Pi_ss*RR_ss;
Re_ss=R_ss;

if theta<1
    theta_K=theta+dtheta_K;
else
    theta_K=theta;
end

R_CC_ss=R_ss*EFP_CC;

LGD=(1-EFP_FC/EFP_CC)/J2_ss;

RR_CC_ss=R_CC_ss/Pi_ss;


mc_ss=1/mu_p_ss;
rK_ss=((theta_K/beta_O-1)/(1-tau_K_ss)+delta);
YK_ss=rK_ss/(mc_ss*alpha_K_ss);
AK_ss=YK_ss;

K_ss=2.60289;
N_ss=(N_O_ss^((1-omega_CC))*N_CC_ss^((omega_CC)));

Y_ss=YK_ss*K_ss;
AN_ss=Y_ss/N_ss;




I_ss=delta*K_ss;

//K_ss=1;

w_O_ss=mc_ss*((1-omega_CC)*(1-alpha_K_ss))*Y_ss/N_O_ss;
w_CC_ss=mc_ss*((omega_CC)*(1-alpha_K_ss))*Y_ss/N_CC_ss;
IY_ss=I_ss/Y_ss;

b_gov_O_ss=b2GDP*Y_ss;
G_ss=Y_ss*GY;


//Residential housing and constrained households


Q_H_H_CCY=Q_H_HY*s_H_CC;
Q_H_H_OY=(1-s_H_CC)*Q_H_HY;
Q_H_ss=1;
H_ss=Q_H_HY/Q_H_ss*Y_ss;
H_O_ss=H_ss*(1-s_H_CC);
H_CC_ss=H_ss*s_H_CC;

IH_ss=deltah*H_ss;

bCCY=k_CC/RR_CC_ss*Q_H_H_CCY;

C_CCY=((1-tau_Wh_ss)*(1-alpha_K_ss)*omega_CC/mu_p_ss-TCCY-bCCY*(RR_CC_ss-1)-deltah*Q_H_H_CCY)/(1+tau_C_ss); 
C_CC_ss=C_CCY*Y_ss;
b_CC_ss=bCCY*Y_ss;
T_CC_ss    =TCCY*Y_ss;
b2income_CC_ss=b_CC_ss/(4*w_CC_ss*N_CC_ss)*100;

lambda_CC_ss=C_CC_ss^(-sigma_CC)/(1+tau_C_ss);
ombarh_ss=k_CC;

@#if DUM_LOG>0
    sgmh=(1-ombarh_ss)/(log((1-J2_ss)/J2_ss));
    z_CC_ss=ombarh_ss;
    dJ2dombarh_ss=exp(-(ombarh_ss-1)/sgmh)/(1+exp(-(ombarh_ss-1)/sgmh))^2;
@#else
    sgmh=(ombarh_ss-1)/norminv(J2_ss);
    z_CC_ss=(ombarh_ss-1)/sgmh;
    dJ2dombarh_ss=normpdf(z_CC_ss)/sgmh;
@#endif

chi_R_CC=(EFP_CC/EFP_FC-1)/(b_CC_ss/(H_CC_ss*Q_H_ss)) ; 

@#if DUM_R_CCadhoc    
    dRLdbCC_ss=R_ss*EFP_FC*chi_R_CC/(Q_H_ss*H_CC_ss);
    dRLdHCC_ss=-R_ss*EFP_FC*chi_R_CC/((H_CC_ss)^2*Q_H_ss);
    dRLdbCC_ssXb_CC_ss=dRLdbCC_ss*b_CC_ss;
    RCCC_ss=R_ss/Pi_ss*(EFP_FC*(1+chi_R_CC*(b_CC_ss)/(Q_H_ss*H_CC_ss))-1)*b_CC_ss;
@#else
    dRLdbCC_ssXb_CC_ss=LGD*dJ2dombarh_ss*ombarh_ss*R_CC_ss/(1-LGD*J2_ss-LGD*dJ2dombarh_ss*ombarh_ss);
    dRLdHCC_ss=-LGD*dJ2dombarh_ss*(ombarh_ss/H_CC_ss)/(1-LGD*J2_ss-LGD*dJ2dombarh_ss*ombarh_ss);
    dRLdbCC_ss=dRLdbCC_ssXb_CC_ss/b_CC_ss;
    RCCC_ss=(R_CC_ss*LGD*J2_ss/Pi_ss+R_ss/Pi_ss*(EFP_FC-1))*b_CC_ss;  
@#endif




beta_CC=1/(RR_CC_ss+dRLdbCC_ssXb_CC_ss/Pi_ss);
LmbRl_Lmb_L=beta_CC/(1-LGD*J2_ss-LGD*dJ2dombarh_ss*ombarh_ss);
MUH_lambda_CC_ss=(Q_H_ss-beta_CC*(Q_H_ss-RR_CC_ss*b_CC_ss*dRLdHCC_ss));
MUH_CC_ss=lambda_CC_ss*MUH_lambda_CC_ss;
chi_H_CC=MUH_CC_ss*H_CC_ss^nu_CC;





C_O_ss=Y_ss-C_CC_ss-G_ss-RCCC_ss-I_ss-IH_ss;
C_OY=C_O_ss/Y_ss;
b_O_ss=b_gov_O_ss+b_CC_ss;

chi_H_O_nopow=Q_H_H_OY/C_OY*(1-1/RR_ss*(1-deltah));


T_O_ss=(RR_ss-1)*b_gov_O_ss+G_ss-(tau_Wh_ss*(w_CC_ss*N_CC_ss+w_O_ss*N_O_ss)+tau_C_ss*(C_O_ss+C_CC_ss)+tau_K_ss*(rK_ss-delta)*K_ss+T_CC_ss);


//Q_H_ss=Q_H_H_OY*Y_ss/H_O_ss;
Fbar_ss=b_CC_ss*R_CC_ss/Pi_ss;
F_ss   =Q_H_ss*H_CC_ss;


lambda_O_ss=C_O_ss^(-sigma_O)/(1+tau_C_ss);
LmbRl_ss= LmbRl_Lmb_L*b_CC_ss*lambda_CC_ss;

LTV_CC_ss=k_CC/RR_CC_ss;

prof_ss=(1-mc_ss)*Y_ss;
QS_ss=beta_O*prof_ss/(theta_K-beta_O);

chi_H_O=Q_H_ss*(1-beta_O*(1-deltah))*H_O_ss^(nu)*lambda_O_ss;
phi_N_O=(1-tau_Wh_ss)*w_O_ss*lambda_O_ss/N_O_ss^eta;
phi_B=(1-theta)*(b_gov_O_ss+b_CC_ss)^(sigma_B)*lambda_O_ss;
phi_K=(1-theta_K)*(K_ss+DUM_QS*QS_ss)^(sigma_K)*lambda_O_ss;

phi_N_CC=(1-tau_Wh_ss)*w_CC_ss*lambda_CC_ss/N_CC_ss^eta;

psi_CC=EFP_CC/k_CC^epsilon_CC;

if DUM_QS==1
    Y_O_ss=(1-tau_Wh_ss)*w_O_ss*N_O_ss;
else 
    Y_O_ss=(1-mc_ss)*Y_ss+(1-tau_Wh_ss)*w_O_ss*N_O_ss;
end
Top20share_ss=(w_O_ss*N_O_ss+(rK_ss-delta)*K_ss+(1-mc_ss)*Y_ss+(b_gov_O_ss+b_CC_ss)*(RR_ss-1)-IH_ss*(1-s_H_CC))/(Y_ss-I_ss-IH_ss-RCCC_ss);
H2GDP_ss=Q_H_ss*H_ss/(4*Y_ss);
LABSHARE_ss=(w_CC_ss*N_CC_ss+w_O_ss*N_O_ss)/Y_ss;