@#include "FULL_CESc.mod"
RESULTS=[];
counter=0;

if H_min_CC==0

    @#if D_CES
        load D_I_CC_90_prof_LGD_high_log_CES;

    @#else 
        load D_I_CC_90_prof_LGD_high_log;
    @#endif

else
    load D_I_CC_sub_prof;
    D_I_CC_prof=D_I_CC_sub_prof;
end
/*
@#for k in 1:20
    @#for x in 1:4
        @#define i=(k-1)*4+x
        D_I_CC_q(@{i})=(D_I_CC(@{k}));
    @#endfor
@#endfor
*/
mu_p_series=(1-alpha_K_ss)./(LABSHARE_series/100)-mu_p_ss;

D_I_CC_prof(:,2)=mu_p_series(2:end);

@#for l in 1:36


    shocks;
    var e_I_CC;
    periods 1:2000;
    values (D_I_CC_prof(@{l},1)/(1-alpha_K));
    var e_p;
    periods 1:2000;
    values (D_I_CC_prof(@{l},2));

    end;
    
    @#define l_lag=(l-1)*4
    //ltrans=@{l};
    @#if l >1
        //Re_ss=Re_ss+0.1*(newsdet(127,5)-Re_ss);
        M_.endo_histval=oo_.endo_simul(:,5);

    @#endif

    @#if l <29
            perfect_foresight_setup(periods=4000);
            perfect_foresight_solver(maxit=80,stack_solve_algo=1);
    @#else
           perfect_foresight_setup(periods=4000);
           perfect_foresight_solver(maxit=200,stack_solve_algo=1);
    @#endif

        newsdet = oo_.endo_simul; //save results of current simulation to newsdet. Results are in rows. note that the first column has the value of the variable in quarter j-1
        save newsdet newsdet;
    @#if l<36
        RESULTS=[RESULTS newsdet(:,2:5)]; //Ads simulation period l to RESULTs matrix
    @#else
        RESULTS=[RESULTS newsdet(:,2:121)]; //Ads simulation period l to RESULTs matrix
    @#endif
    counter=counter+1

@#endfor

RESULTS=RESULTS';

TYEARS=length(RESULTS)/4;

RESULTSYEARS=[];
for k=1:TYEARS
    RESULTSYEARS=[RESULTSYEARS; mean(RESULTS(((k-1)*4+1):((k-1)*4+4),:))];
end

//xlswrite('NIR_report_graphs.xlsx',RESULTSYEARS,'MODEL_DATA','I3:N31');

if nu_cascade==0;
    xlswrite('Result_19802016_top10_fin_MA_2019_05_23_RCCadhoc.xlsx',[RESULTSYEARS],'Rannenberg_Rstar','L4:V39');
else
    xlswrite('Result_19802016_top10_fin_MA_2019_05_23_RCCadhoc.xlsx',[RESULTSYEARS],'Rannenberg_Rstar','X4:AH39');
end



