%
% Status : main Dynare file
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

if isoctave || matlab_ver_less_than('8.6')
    clear all
else
    clearvars -global
    clear_persistent_variables(fileparts(which('dynare')), false)
end
tic0 = tic;
% Save empty dates and dseries objects in memory.
dates('initialize');
dseries('initialize');
% Define global variables.
global M_ options_ oo_ estim_params_ bayestopt_ dataset_ dataset_info estimation_info ys0_ ex0_
options_ = [];
M_.fname = 'surprise_solution_2019_05_20';
M_.dynare_version = '4.5.1';
oo_.dynare_version = '4.5.1';
options_.dynare_version = '4.5.1';
%
% Some global variables initialization
%
global_initialization;
diary off;
diary('surprise_solution_2019_05_20.log');
M_.exo_names = 'e_I_CC';
M_.exo_names_tex = 'e\_I\_CC';
M_.exo_names_long = 'e_I_CC';
M_.exo_names = char(M_.exo_names, 'e_p');
M_.exo_names_tex = char(M_.exo_names_tex, 'e\_p');
M_.exo_names_long = char(M_.exo_names_long, 'e_p');
M_.exo_names = char(M_.exo_names, 'e_alpha_K');
M_.exo_names_tex = char(M_.exo_names_tex, 'e\_alpha\_K');
M_.exo_names_long = char(M_.exo_names_long, 'e_alpha_K');
M_.exo_names = char(M_.exo_names, 'e_QH');
M_.exo_names_tex = char(M_.exo_names_tex, 'e\_QH');
M_.exo_names_long = char(M_.exo_names_long, 'e_QH');
M_.exo_names = char(M_.exo_names, 'e_bgov');
M_.exo_names_tex = char(M_.exo_names_tex, 'e\_bgov');
M_.exo_names_long = char(M_.exo_names_long, 'e_bgov');
M_.endo_names = 'dR';
M_.endo_names_tex = 'dR';
M_.endo_names_long = 'dR';
M_.endo_names = char(M_.endo_names, 'db_CCY');
M_.endo_names_tex = char(M_.endo_names_tex, 'db\_CCY');
M_.endo_names_long = char(M_.endo_names_long, 'db_CCY');
M_.endo_names = char(M_.endo_names, 'dH2GDP');
M_.endo_names_tex = char(M_.endo_names_tex, 'dH2GDP');
M_.endo_names_long = char(M_.endo_names_long, 'dH2GDP');
M_.endo_names = char(M_.endo_names, 'db2income_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'db2income\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'db2income_CC');
M_.endo_names = char(M_.endo_names, 'dLTV_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'dLTV\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'dLTV_CC');
M_.endo_names = char(M_.endo_names, 'dR_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'dR\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'dR_CC');
M_.endo_names = char(M_.endo_names, 'dBottom80share');
M_.endo_names_tex = char(M_.endo_names_tex, 'dBottom80share');
M_.endo_names_long = char(M_.endo_names_long, 'dBottom80share');
M_.endo_names = char(M_.endo_names, 'dBottom80share_H');
M_.endo_names_tex = char(M_.endo_names_tex, 'dBottom80share\_H');
M_.endo_names_long = char(M_.endo_names_long, 'dBottom80share_H');
M_.endo_names = char(M_.endo_names, 'dLABSHARE');
M_.endo_names_tex = char(M_.endo_names_tex, 'dLABSHARE');
M_.endo_names_long = char(M_.endo_names_long, 'dLABSHARE');
M_.endo_names = char(M_.endo_names, 'dIY');
M_.endo_names_tex = char(M_.endo_names_tex, 'dIY');
M_.endo_names_long = char(M_.endo_names_long, 'dIY');
M_.endo_names = char(M_.endo_names, 'dIHY');
M_.endo_names_tex = char(M_.endo_names_tex, 'dIHY');
M_.endo_names_long = char(M_.endo_names_long, 'dIHY');
M_.endo_names = char(M_.endo_names, 'LTV_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'LTV\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'LTV_CC');
M_.endo_names = char(M_.endo_names, 'dC_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'dC\_O');
M_.endo_names_long = char(M_.endo_names_long, 'dC_O');
M_.endo_names = char(M_.endo_names, 'dC_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'dC\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'dC_CC');
M_.endo_names = char(M_.endo_names, 'dw_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'dw\_O');
M_.endo_names_long = char(M_.endo_names_long, 'dw_O');
M_.endo_names = char(M_.endo_names, 'dw_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'dw\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'dw_CC');
M_.endo_names = char(M_.endo_names, 'dN_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'dN\_O');
M_.endo_names_long = char(M_.endo_names_long, 'dN_O');
M_.endo_names = char(M_.endo_names, 'dN_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'dN\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'dN_CC');
M_.endo_names = char(M_.endo_names, 'dH_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'dH\_O');
M_.endo_names_long = char(M_.endo_names_long, 'dH_O');
M_.endo_names = char(M_.endo_names, 'dH_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'dH\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'dH_CC');
M_.endo_names = char(M_.endo_names, 'db_gov_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'db\_gov\_O');
M_.endo_names_long = char(M_.endo_names_long, 'db_gov_O');
M_.endo_names = char(M_.endo_names, 'dY');
M_.endo_names_tex = char(M_.endo_names_tex, 'dY');
M_.endo_names_long = char(M_.endo_names_long, 'dY');
M_.endo_names = char(M_.endo_names, 'dQ_H');
M_.endo_names_tex = char(M_.endo_names_tex, 'dQ\_H');
M_.endo_names_long = char(M_.endo_names_long, 'dQ_H');
M_.endo_names = char(M_.endo_names, 'dI');
M_.endo_names_tex = char(M_.endo_names_tex, 'dI');
M_.endo_names_long = char(M_.endo_names_long, 'dI');
M_.endo_names = char(M_.endo_names, 'dIH');
M_.endo_names_tex = char(M_.endo_names_tex, 'dIH');
M_.endo_names_long = char(M_.endo_names_long, 'dIH');
M_.endo_names = char(M_.endo_names, 'db_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'db\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'db_CC');
M_.endo_names = char(M_.endo_names, 'dK');
M_.endo_names_tex = char(M_.endo_names_tex, 'dK');
M_.endo_names_long = char(M_.endo_names_long, 'dK');
M_.endo_names = char(M_.endo_names, 'dQ');
M_.endo_names_tex = char(M_.endo_names_tex, 'dQ');
M_.endo_names_long = char(M_.endo_names_long, 'dQ');
M_.endo_names = char(M_.endo_names, 'dEFP');
M_.endo_names_tex = char(M_.endo_names_tex, 'dEFP');
M_.endo_names_long = char(M_.endo_names_long, 'dEFP');
M_.endo_names = char(M_.endo_names, 'dJ2APR');
M_.endo_names_tex = char(M_.endo_names_tex, 'dJ2APR');
M_.endo_names_long = char(M_.endo_names_long, 'dJ2APR');
M_.endo_names = char(M_.endo_names, 'dPi');
M_.endo_names_tex = char(M_.endo_names_tex, 'dPi');
M_.endo_names_long = char(M_.endo_names_long, 'dPi');
M_.endo_names = char(M_.endo_names, 'b2income_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'b2income\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'b2income_CC');
M_.endo_names = char(M_.endo_names, 'Bottom80share');
M_.endo_names_tex = char(M_.endo_names_tex, 'Bottom80share');
M_.endo_names_long = char(M_.endo_names_long, 'Bottom80share');
M_.endo_names = char(M_.endo_names, 'Bottom80share_H');
M_.endo_names_tex = char(M_.endo_names_tex, 'Bottom80share\_H');
M_.endo_names_long = char(M_.endo_names_long, 'Bottom80share_H');
M_.endo_names = char(M_.endo_names, 'H2GDP');
M_.endo_names_tex = char(M_.endo_names_tex, 'H2GDP');
M_.endo_names_long = char(M_.endo_names_long, 'H2GDP');
M_.endo_names = char(M_.endo_names, 'LABSHARE');
M_.endo_names_tex = char(M_.endo_names_tex, 'LABSHARE');
M_.endo_names_long = char(M_.endo_names_long, 'LABSHARE');
M_.endo_names = char(M_.endo_names, 'Pi');
M_.endo_names_tex = char(M_.endo_names_tex, 'Pi');
M_.endo_names_long = char(M_.endo_names_long, 'Pi');
M_.endo_names = char(M_.endo_names, 'C_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'C\_O');
M_.endo_names_long = char(M_.endo_names_long, 'C_O');
M_.endo_names = char(M_.endo_names, 'C_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'C\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'C_CC');
M_.endo_names = char(M_.endo_names, 'w_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'w\_O');
M_.endo_names_long = char(M_.endo_names_long, 'w_O');
M_.endo_names = char(M_.endo_names, 'w_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'w\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'w_CC');
M_.endo_names = char(M_.endo_names, 'N');
M_.endo_names_tex = char(M_.endo_names_tex, 'N');
M_.endo_names_long = char(M_.endo_names_long, 'N');
M_.endo_names = char(M_.endo_names, 'N_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'N\_O');
M_.endo_names_long = char(M_.endo_names_long, 'N_O');
M_.endo_names = char(M_.endo_names, 'N_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'N\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'N_CC');
M_.endo_names = char(M_.endo_names, 'Y');
M_.endo_names_tex = char(M_.endo_names_tex, 'Y');
M_.endo_names_long = char(M_.endo_names_long, 'Y');
M_.endo_names = char(M_.endo_names, 'K');
M_.endo_names_tex = char(M_.endo_names_tex, 'K');
M_.endo_names_long = char(M_.endo_names_long, 'K');
M_.endo_names = char(M_.endo_names, 'I');
M_.endo_names_tex = char(M_.endo_names_tex, 'I');
M_.endo_names_long = char(M_.endo_names_long, 'I');
M_.endo_names = char(M_.endo_names, 'H');
M_.endo_names_tex = char(M_.endo_names_tex, 'H');
M_.endo_names_long = char(M_.endo_names_long, 'H');
M_.endo_names = char(M_.endo_names, 'IH');
M_.endo_names_tex = char(M_.endo_names_tex, 'IH');
M_.endo_names_long = char(M_.endo_names_long, 'IH');
M_.endo_names = char(M_.endo_names, 'Q');
M_.endo_names_tex = char(M_.endo_names_tex, 'Q');
M_.endo_names_long = char(M_.endo_names_long, 'Q');
M_.endo_names = char(M_.endo_names, 'QS');
M_.endo_names_tex = char(M_.endo_names_tex, 'QS');
M_.endo_names_long = char(M_.endo_names_long, 'QS');
M_.endo_names = char(M_.endo_names, 'S');
M_.endo_names_tex = char(M_.endo_names_tex, 'S');
M_.endo_names_long = char(M_.endo_names_long, 'S');
M_.endo_names = char(M_.endo_names, 'prof');
M_.endo_names_tex = char(M_.endo_names_tex, 'prof');
M_.endo_names_long = char(M_.endo_names_long, 'prof');
M_.endo_names = char(M_.endo_names, 'rK');
M_.endo_names_tex = char(M_.endo_names_tex, 'rK');
M_.endo_names_long = char(M_.endo_names_long, 'rK');
M_.endo_names = char(M_.endo_names, 'mc');
M_.endo_names_tex = char(M_.endo_names_tex, 'mc');
M_.endo_names_long = char(M_.endo_names_long, 'mc');
M_.endo_names = char(M_.endo_names, 'I_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'I\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'I_CC');
M_.endo_names = char(M_.endo_names, 'G');
M_.endo_names_tex = char(M_.endo_names_tex, 'G');
M_.endo_names_long = char(M_.endo_names_long, 'G');
M_.endo_names = char(M_.endo_names, 'T_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'T\_O');
M_.endo_names_long = char(M_.endo_names_long, 'T_O');
M_.endo_names = char(M_.endo_names, 'T_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'T\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'T_CC');
M_.endo_names = char(M_.endo_names, 'R');
M_.endo_names_tex = char(M_.endo_names_tex, 'R');
M_.endo_names_long = char(M_.endo_names_long, 'R');
M_.endo_names = char(M_.endo_names, 'Re');
M_.endo_names_tex = char(M_.endo_names_tex, 'Re');
M_.endo_names_long = char(M_.endo_names_long, 'Re');
M_.endo_names = char(M_.endo_names, 'b_gov_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'b\_gov\_O');
M_.endo_names_long = char(M_.endo_names_long, 'b_gov_O');
M_.endo_names = char(M_.endo_names, 'dRR');
M_.endo_names_tex = char(M_.endo_names_tex, 'dRR');
M_.endo_names_long = char(M_.endo_names_long, 'dRR');
M_.endo_names = char(M_.endo_names, 'H_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'H\_O');
M_.endo_names_long = char(M_.endo_names_long, 'H_O');
M_.endo_names = char(M_.endo_names, 'H_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'H\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'H_CC');
M_.endo_names = char(M_.endo_names, 'Q_H');
M_.endo_names_tex = char(M_.endo_names_tex, 'Q\_H');
M_.endo_names_long = char(M_.endo_names_long, 'Q_H');
M_.endo_names = char(M_.endo_names, 'lambda_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'lambda\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'lambda_CC');
M_.endo_names = char(M_.endo_names, 'lambda_O');
M_.endo_names_tex = char(M_.endo_names_tex, 'lambda\_O');
M_.endo_names_long = char(M_.endo_names_long, 'lambda_O');
M_.endo_names = char(M_.endo_names, 'R_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'R\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'R_CC');
M_.endo_names = char(M_.endo_names, 'RCCC');
M_.endo_names_tex = char(M_.endo_names_tex, 'RCCC');
M_.endo_names_long = char(M_.endo_names_long, 'RCCC');
M_.endo_names = char(M_.endo_names, 'b_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'b\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'b_CC');
M_.endo_names = char(M_.endo_names, 'J2');
M_.endo_names_tex = char(M_.endo_names_tex, 'J2');
M_.endo_names_long = char(M_.endo_names_long, 'J2');
M_.endo_names = char(M_.endo_names, 'dJ2dombarh');
M_.endo_names_tex = char(M_.endo_names_tex, 'dJ2dombarh');
M_.endo_names_long = char(M_.endo_names_long, 'dJ2dombarh');
M_.endo_names = char(M_.endo_names, 'Fbar');
M_.endo_names_tex = char(M_.endo_names_tex, 'Fbar');
M_.endo_names_long = char(M_.endo_names_long, 'Fbar');
M_.endo_names = char(M_.endo_names, 'F');
M_.endo_names_tex = char(M_.endo_names_tex, 'F');
M_.endo_names_long = char(M_.endo_names_long, 'F');
M_.endo_names = char(M_.endo_names, 'ombarh');
M_.endo_names_tex = char(M_.endo_names_tex, 'ombarh');
M_.endo_names_long = char(M_.endo_names_long, 'ombarh');
M_.endo_names = char(M_.endo_names, 'z_CC');
M_.endo_names_tex = char(M_.endo_names_tex, 'z\_CC');
M_.endo_names_long = char(M_.endo_names_long, 'z_CC');
M_.endo_names = char(M_.endo_names, 'LmbRl');
M_.endo_names_tex = char(M_.endo_names_tex, 'LmbRl');
M_.endo_names_long = char(M_.endo_names_long, 'LmbRl');
M_.endo_names = char(M_.endo_names, 'mu_p');
M_.endo_names_tex = char(M_.endo_names_tex, 'mu\_p');
M_.endo_names_long = char(M_.endo_names_long, 'mu_p');
M_.endo_names = char(M_.endo_names, 'alpha_K');
M_.endo_names_tex = char(M_.endo_names_tex, 'alpha\_K');
M_.endo_names_long = char(M_.endo_names_long, 'alpha_K');
M_.endo_names = char(M_.endo_names, 'epsilon_H');
M_.endo_names_tex = char(M_.endo_names_tex, 'epsilon\_H');
M_.endo_names_long = char(M_.endo_names_long, 'epsilon_H');
M_.endo_names = char(M_.endo_names, 'IAC');
M_.endo_names_tex = char(M_.endo_names_tex, 'IAC');
M_.endo_names_long = char(M_.endo_names_long, 'IAC');
M_.endo_names = char(M_.endo_names, 'IHAC');
M_.endo_names_tex = char(M_.endo_names_tex, 'IHAC');
M_.endo_names_long = char(M_.endo_names_long, 'IHAC');
M_.endo_names = char(M_.endo_names, 'rK_K');
M_.endo_names_tex = char(M_.endo_names_tex, 'rK\_K');
M_.endo_names_long = char(M_.endo_names_long, 'rK_K');
M_.endo_names = char(M_.endo_names, 'dRLdbCC');
M_.endo_names_tex = char(M_.endo_names_tex, 'dRLdbCC');
M_.endo_names_long = char(M_.endo_names_long, 'dRLdbCC');
M_.endo_names = char(M_.endo_names, 'dRLdHCC');
M_.endo_names_tex = char(M_.endo_names_tex, 'dRLdHCC');
M_.endo_names_long = char(M_.endo_names_long, 'dRLdHCC');
M_.endo_partitions = struct();
M_.param_names = 'theta';
M_.param_names_tex = 'theta';
M_.param_names_long = 'theta';
M_.param_names = char(M_.param_names, 'beta_O');
M_.param_names_tex = char(M_.param_names_tex, 'beta\_O');
M_.param_names_long = char(M_.param_names_long, 'beta_O');
M_.param_names = char(M_.param_names, 'beta_CC');
M_.param_names_tex = char(M_.param_names_tex, 'beta\_CC');
M_.param_names_long = char(M_.param_names_long, 'beta_CC');
M_.param_names = char(M_.param_names, 'sigma_O');
M_.param_names_tex = char(M_.param_names_tex, 'sigma\_O');
M_.param_names_long = char(M_.param_names_long, 'sigma_O');
M_.param_names = char(M_.param_names, 'sigma_CC');
M_.param_names_tex = char(M_.param_names_tex, 'sigma\_CC');
M_.param_names_long = char(M_.param_names_long, 'sigma_CC');
M_.param_names = char(M_.param_names, 'sigma_B');
M_.param_names_tex = char(M_.param_names_tex, 'sigma\_B');
M_.param_names_long = char(M_.param_names_long, 'sigma_B');
M_.param_names = char(M_.param_names, 'sigma_K');
M_.param_names_tex = char(M_.param_names_tex, 'sigma\_K');
M_.param_names_long = char(M_.param_names_long, 'sigma_K');
M_.param_names = char(M_.param_names, 'phi_B');
M_.param_names_tex = char(M_.param_names_tex, 'phi\_B');
M_.param_names_long = char(M_.param_names_long, 'phi_B');
M_.param_names = char(M_.param_names, 'phi_K');
M_.param_names_tex = char(M_.param_names_tex, 'phi\_K');
M_.param_names_long = char(M_.param_names_long, 'phi_K');
M_.param_names = char(M_.param_names, 'eta');
M_.param_names_tex = char(M_.param_names_tex, 'eta');
M_.param_names_long = char(M_.param_names_long, 'eta');
M_.param_names = char(M_.param_names, 'phi_N_O');
M_.param_names_tex = char(M_.param_names_tex, 'phi\_N\_O');
M_.param_names_long = char(M_.param_names_long, 'phi_N_O');
M_.param_names = char(M_.param_names, 'phi_N_CC');
M_.param_names_tex = char(M_.param_names_tex, 'phi\_N\_CC');
M_.param_names_long = char(M_.param_names_long, 'phi_N_CC');
M_.param_names = char(M_.param_names, 'alpha_K_ss');
M_.param_names_tex = char(M_.param_names_tex, 'alpha\_K\_ss');
M_.param_names_long = char(M_.param_names_long, 'alpha_K_ss');
M_.param_names = char(M_.param_names, 'AN_ss');
M_.param_names_tex = char(M_.param_names_tex, 'AN\_ss');
M_.param_names_long = char(M_.param_names_long, 'AN_ss');
M_.param_names = char(M_.param_names, 'AK_ss');
M_.param_names_tex = char(M_.param_names_tex, 'AK\_ss');
M_.param_names_long = char(M_.param_names_long, 'AK_ss');
M_.param_names = char(M_.param_names, 'epsilon');
M_.param_names_tex = char(M_.param_names_tex, 'epsilon');
M_.param_names_long = char(M_.param_names_long, 'epsilon');
M_.param_names = char(M_.param_names, 'omega_CC');
M_.param_names_tex = char(M_.param_names_tex, 'omega\_CC');
M_.param_names_long = char(M_.param_names_long, 'omega_CC');
M_.param_names = char(M_.param_names, 'delta');
M_.param_names_tex = char(M_.param_names_tex, 'delta');
M_.param_names_long = char(M_.param_names_long, 'delta');
M_.param_names = char(M_.param_names, 'deltah');
M_.param_names_tex = char(M_.param_names_tex, 'deltah');
M_.param_names_long = char(M_.param_names_long, 'deltah');
M_.param_names = char(M_.param_names, 's_H_CC');
M_.param_names_tex = char(M_.param_names_tex, 's\_H\_CC');
M_.param_names_long = char(M_.param_names_long, 's_H_CC');
M_.param_names = char(M_.param_names, 'epsilon_I');
M_.param_names_tex = char(M_.param_names_tex, 'epsilon\_I');
M_.param_names_long = char(M_.param_names_long, 'epsilon_I');
M_.param_names = char(M_.param_names, 'chi_H_O');
M_.param_names_tex = char(M_.param_names_tex, 'chi\_H\_O');
M_.param_names_long = char(M_.param_names_long, 'chi_H_O');
M_.param_names = char(M_.param_names, 'chi_H_CC');
M_.param_names_tex = char(M_.param_names_tex, 'chi\_H\_CC');
M_.param_names_long = char(M_.param_names_long, 'chi_H_CC');
M_.param_names = char(M_.param_names, 'nu');
M_.param_names_tex = char(M_.param_names_tex, 'nu');
M_.param_names_long = char(M_.param_names_long, 'nu');
M_.param_names = char(M_.param_names, 'nu_CC');
M_.param_names_tex = char(M_.param_names_tex, 'nu\_CC');
M_.param_names_long = char(M_.param_names_long, 'nu_CC');
M_.param_names = char(M_.param_names, 'psi_CC');
M_.param_names_tex = char(M_.param_names_tex, 'psi\_CC');
M_.param_names_long = char(M_.param_names_long, 'psi_CC');
M_.param_names = char(M_.param_names, 'epsilon_CC');
M_.param_names_tex = char(M_.param_names_tex, 'epsilon\_CC');
M_.param_names_long = char(M_.param_names_long, 'epsilon_CC');
M_.param_names = char(M_.param_names, 'h_CC');
M_.param_names_tex = char(M_.param_names_tex, 'h\_CC');
M_.param_names_long = char(M_.param_names_long, 'h_CC');
M_.param_names = char(M_.param_names, 'mu_p_ss');
M_.param_names_tex = char(M_.param_names_tex, 'mu\_p\_ss');
M_.param_names_long = char(M_.param_names_long, 'mu_p_ss');
M_.param_names = char(M_.param_names, 'mc_ss');
M_.param_names_tex = char(M_.param_names_tex, 'mc\_ss');
M_.param_names_long = char(M_.param_names_long, 'mc_ss');
M_.param_names = char(M_.param_names, 'S_ss');
M_.param_names_tex = char(M_.param_names_tex, 'S\_ss');
M_.param_names_long = char(M_.param_names_long, 'S_ss');
M_.param_names = char(M_.param_names, 'QS_ss');
M_.param_names_tex = char(M_.param_names_tex, 'QS\_ss');
M_.param_names_long = char(M_.param_names_long, 'QS_ss');
M_.param_names = char(M_.param_names, 'prof_ss');
M_.param_names_tex = char(M_.param_names_tex, 'prof\_ss');
M_.param_names_long = char(M_.param_names_long, 'prof_ss');
M_.param_names = char(M_.param_names, 'kappa_Pi');
M_.param_names_tex = char(M_.param_names_tex, 'kappa\_Pi');
M_.param_names_long = char(M_.param_names_long, 'kappa_Pi');
M_.param_names = char(M_.param_names, 'G_ss');
M_.param_names_tex = char(M_.param_names_tex, 'G\_ss');
M_.param_names_long = char(M_.param_names_long, 'G_ss');
M_.param_names = char(M_.param_names, 'tau_b');
M_.param_names_tex = char(M_.param_names_tex, 'tau\_b');
M_.param_names_long = char(M_.param_names_long, 'tau_b');
M_.param_names = char(M_.param_names, 'sgmh');
M_.param_names_tex = char(M_.param_names_tex, 'sgmh');
M_.param_names_long = char(M_.param_names_long, 'sgmh');
M_.param_names = char(M_.param_names, 'LGD');
M_.param_names_tex = char(M_.param_names_tex, 'LGD');
M_.param_names_long = char(M_.param_names_long, 'LGD');
M_.param_names = char(M_.param_names, 'EFP_FC');
M_.param_names_tex = char(M_.param_names_tex, 'EFP\_FC');
M_.param_names_long = char(M_.param_names_long, 'EFP_FC');
M_.param_names = char(M_.param_names, 'K_ss');
M_.param_names_tex = char(M_.param_names_tex, 'K\_ss');
M_.param_names_long = char(M_.param_names_long, 'K_ss');
M_.param_names = char(M_.param_names, 'Pi_ss');
M_.param_names_tex = char(M_.param_names_tex, 'Pi\_ss');
M_.param_names_long = char(M_.param_names_long, 'Pi_ss');
M_.param_names = char(M_.param_names, 'T_CC_ss');
M_.param_names_tex = char(M_.param_names_tex, 'T\_CC\_ss');
M_.param_names_long = char(M_.param_names_long, 'T_CC_ss');
M_.param_names = char(M_.param_names, 'T_O_ss');
M_.param_names_tex = char(M_.param_names_tex, 'T\_O\_ss');
M_.param_names_long = char(M_.param_names_long, 'T_O_ss');
M_.param_names = char(M_.param_names, 'Y_ss');
M_.param_names_tex = char(M_.param_names_tex, 'Y\_ss');
M_.param_names_long = char(M_.param_names_long, 'Y_ss');
M_.param_names = char(M_.param_names, 'RR_ss');
M_.param_names_tex = char(M_.param_names_tex, 'RR\_ss');
M_.param_names_long = char(M_.param_names_long, 'RR_ss');
M_.param_names = char(M_.param_names, 'Re_ss');
M_.param_names_tex = char(M_.param_names_tex, 'Re\_ss');
M_.param_names_long = char(M_.param_names_long, 'Re_ss');
M_.param_names = char(M_.param_names, 'H_ss');
M_.param_names_tex = char(M_.param_names_tex, 'H\_ss');
M_.param_names_long = char(M_.param_names_long, 'H_ss');
M_.param_names = char(M_.param_names, 'C_O_ss');
M_.param_names_tex = char(M_.param_names_tex, 'C\_O\_ss');
M_.param_names_long = char(M_.param_names_long, 'C_O_ss');
M_.param_names = char(M_.param_names, 'C_CC_ss');
M_.param_names_tex = char(M_.param_names_tex, 'C\_CC\_ss');
M_.param_names_long = char(M_.param_names_long, 'C_CC_ss');
M_.param_names = char(M_.param_names, 'w_O_ss');
M_.param_names_tex = char(M_.param_names_tex, 'w\_O\_ss');
M_.param_names_long = char(M_.param_names_long, 'w_O_ss');
M_.param_names = char(M_.param_names, 'w_CC_ss');
M_.param_names_tex = char(M_.param_names_tex, 'w\_CC\_ss');
M_.param_names_long = char(M_.param_names_long, 'w_CC_ss');
M_.param_names = char(M_.param_names, 'N_O_ss');
M_.param_names_tex = char(M_.param_names_tex, 'N\_O\_ss');
M_.param_names_long = char(M_.param_names_long, 'N_O_ss');
M_.param_names = char(M_.param_names, 'N_CC_ss');
M_.param_names_tex = char(M_.param_names_tex, 'N\_CC\_ss');
M_.param_names_long = char(M_.param_names_long, 'N_CC_ss');
M_.param_names = char(M_.param_names, 'H_O_ss');
M_.param_names_tex = char(M_.param_names_tex, 'H\_O\_ss');
M_.param_names_long = char(M_.param_names_long, 'H_O_ss');
M_.param_names = char(M_.param_names, 'H_CC_ss');
M_.param_names_tex = char(M_.param_names_tex, 'H\_CC\_ss');
M_.param_names_long = char(M_.param_names_long, 'H_CC_ss');
M_.param_names = char(M_.param_names, 'b_CC_ss');
M_.param_names_tex = char(M_.param_names_tex, 'b\_CC\_ss');
M_.param_names_long = char(M_.param_names_long, 'b_CC_ss');
M_.param_names = char(M_.param_names, 'b_gov_O_ss');
M_.param_names_tex = char(M_.param_names_tex, 'b\_gov\_O\_ss');
M_.param_names_long = char(M_.param_names_long, 'b_gov_O_ss');
M_.param_names = char(M_.param_names, 'Q_H_ss');
M_.param_names_tex = char(M_.param_names_tex, 'Q\_H\_ss');
M_.param_names_long = char(M_.param_names_long, 'Q_H_ss');
M_.param_names = char(M_.param_names, 'R_ss');
M_.param_names_tex = char(M_.param_names_tex, 'R\_ss');
M_.param_names_long = char(M_.param_names_long, 'R_ss');
M_.param_names = char(M_.param_names, 'R_CC_ss');
M_.param_names_tex = char(M_.param_names_tex, 'R\_CC\_ss');
M_.param_names_long = char(M_.param_names_long, 'R_CC_ss');
M_.param_names = char(M_.param_names, 'Y_O_ss');
M_.param_names_tex = char(M_.param_names_tex, 'Y\_O\_ss');
M_.param_names_long = char(M_.param_names_long, 'Y_O_ss');
M_.param_names = char(M_.param_names, 'I_ss');
M_.param_names_tex = char(M_.param_names_tex, 'I\_ss');
M_.param_names_long = char(M_.param_names_long, 'I_ss');
M_.param_names = char(M_.param_names, 'IH_ss');
M_.param_names_tex = char(M_.param_names_tex, 'IH\_ss');
M_.param_names_long = char(M_.param_names_long, 'IH_ss');
M_.param_names = char(M_.param_names, 'rK_ss');
M_.param_names_tex = char(M_.param_names_tex, 'rK\_ss');
M_.param_names_long = char(M_.param_names_long, 'rK_ss');
M_.param_names = char(M_.param_names, 'DUM_QS');
M_.param_names_tex = char(M_.param_names_tex, 'DUM\_QS');
M_.param_names_long = char(M_.param_names_long, 'DUM_QS');
M_.param_names = char(M_.param_names, 'D_CE');
M_.param_names_tex = char(M_.param_names_tex, 'D\_CE');
M_.param_names_long = char(M_.param_names_long, 'D_CE');
M_.param_names = char(M_.param_names, 'bCCY');
M_.param_names_tex = char(M_.param_names_tex, 'bCCY');
M_.param_names_long = char(M_.param_names_long, 'bCCY');
M_.param_names = char(M_.param_names, 'Top20share_ss');
M_.param_names_tex = char(M_.param_names_tex, 'Top20share\_ss');
M_.param_names_long = char(M_.param_names_long, 'Top20share_ss');
M_.param_names = char(M_.param_names, 'H2GDP_ss');
M_.param_names_tex = char(M_.param_names_tex, 'H2GDP\_ss');
M_.param_names_long = char(M_.param_names_long, 'H2GDP_ss');
M_.param_names = char(M_.param_names, 'H_min_CC');
M_.param_names_tex = char(M_.param_names_tex, 'H\_min\_CC');
M_.param_names_long = char(M_.param_names_long, 'H_min_CC');
M_.param_names = char(M_.param_names, 'H_min_O');
M_.param_names_tex = char(M_.param_names_tex, 'H\_min\_O');
M_.param_names_long = char(M_.param_names_long, 'H_min_O');
M_.param_names = char(M_.param_names, 'J2_ss');
M_.param_names_tex = char(M_.param_names_tex, 'J2\_ss');
M_.param_names_long = char(M_.param_names_long, 'J2_ss');
M_.param_names = char(M_.param_names, 'LABSHARE_ss');
M_.param_names_tex = char(M_.param_names_tex, 'LABSHARE\_ss');
M_.param_names_long = char(M_.param_names_long, 'LABSHARE_ss');
M_.param_names = char(M_.param_names, 'IY_ss');
M_.param_names_tex = char(M_.param_names_tex, 'IY\_ss');
M_.param_names_long = char(M_.param_names_long, 'IY_ss');
M_.param_names = char(M_.param_names, 'tau_C_ss');
M_.param_names_tex = char(M_.param_names_tex, 'tau\_C\_ss');
M_.param_names_long = char(M_.param_names_long, 'tau_C_ss');
M_.param_names = char(M_.param_names, 'tau_Wh_ss');
M_.param_names_tex = char(M_.param_names_tex, 'tau\_Wh\_ss');
M_.param_names_long = char(M_.param_names_long, 'tau_Wh_ss');
M_.param_names = char(M_.param_names, 'tau_K_ss');
M_.param_names_tex = char(M_.param_names_tex, 'tau\_K\_ss');
M_.param_names_long = char(M_.param_names_long, 'tau_K_ss');
M_.param_names = char(M_.param_names, 'TCCY');
M_.param_names_tex = char(M_.param_names_tex, 'TCCY');
M_.param_names_long = char(M_.param_names_long, 'TCCY');
M_.param_names = char(M_.param_names, 'b2income_CC_ss');
M_.param_names_tex = char(M_.param_names_tex, 'b2income\_CC\_ss');
M_.param_names_long = char(M_.param_names_long, 'b2income_CC_ss');
M_.param_names = char(M_.param_names, 'LTV_CC_ss');
M_.param_names_tex = char(M_.param_names_tex, 'LTV\_CC\_ss');
M_.param_names_long = char(M_.param_names_long, 'LTV_CC_ss');
M_.param_names = char(M_.param_names, 'rho_i');
M_.param_names_tex = char(M_.param_names_tex, 'rho\_i');
M_.param_names_long = char(M_.param_names_long, 'rho_i');
M_.param_names = char(M_.param_names, 'phi_pi');
M_.param_names_tex = char(M_.param_names_tex, 'phi\_pi');
M_.param_names_long = char(M_.param_names_long, 'phi_pi');
M_.param_names = char(M_.param_names, 'nu_cascade');
M_.param_names_tex = char(M_.param_names_tex, 'nu\_cascade');
M_.param_names_long = char(M_.param_names_long, 'nu_cascade');
M_.param_names = char(M_.param_names, 'b_O_ss');
M_.param_names_tex = char(M_.param_names_tex, 'b\_O\_ss');
M_.param_names_long = char(M_.param_names_long, 'b_O_ss');
M_.param_names = char(M_.param_names, 'chi_R_CC');
M_.param_names_tex = char(M_.param_names_tex, 'chi\_R\_CC');
M_.param_names_long = char(M_.param_names_long, 'chi_R_CC');
M_.param_partitions = struct();
M_.exo_det_nbr = 0;
M_.exo_nbr = 5;
M_.endo_nbr = 86;
M_.param_nbr = 85;
M_.orig_endo_nbr = 86;
M_.aux_vars = [];
M_.Sigma_e = zeros(5, 5);
M_.Correlation_matrix = eye(5, 5);
M_.H = 0;
M_.Correlation_matrix_ME = 1;
M_.sigma_e_is_diagonal = 1;
M_.det_shocks = [];
options_.block=0;
options_.bytecode=1;
options_.use_dll=0;
M_.hessian_eq_zero = 1;
if exist('bytecode') ~= 3
  error('DYNARE: Can''t find bytecode DLL. Please compile it or remove the ''bytecode'' option.')
end
erase_compiled_function('surprise_solution_2019_05_20_static');
erase_compiled_function('surprise_solution_2019_05_20_dynamic');
M_.orig_eq_nbr = 86;
M_.eq_nbr = 86;
M_.ramsey_eq_nbr = 0;
M_.lead_lag_incidence = [
 0 11 0;
 0 12 0;
 0 13 0;
 0 14 0;
 0 15 0;
 0 16 97;
 0 17 0;
 0 18 0;
 0 19 0;
 0 20 0;
 0 21 0;
 0 22 0;
 0 23 0;
 0 24 0;
 0 25 0;
 0 26 0;
 0 27 0;
 0 28 0;
 0 29 0;
 0 30 0;
 0 31 0;
 0 32 0;
 0 33 0;
 0 34 0;
 0 35 0;
 0 36 0;
 0 37 0;
 0 38 0;
 0 39 0;
 0 40 0;
 0 41 0;
 0 42 0;
 0 43 0;
 0 44 0;
 0 45 0;
 0 46 0;
 0 47 98;
 1 48 0;
 2 49 0;
 0 50 0;
 0 51 0;
 0 52 0;
 0 53 0;
 0 54 0;
 0 55 0;
 3 56 0;
 0 57 99;
 4 58 0;
 0 59 0;
 0 60 100;
 0 61 101;
 0 62 0;
 0 63 0;
 0 64 102;
 0 65 0;
 0 66 0;
 0 67 0;
 0 68 0;
 0 69 0;
 5 70 0;
 0 71 0;
 6 72 0;
 0 73 0;
 7 74 0;
 8 75 0;
 0 76 103;
 0 77 104;
 0 78 105;
 0 79 106;
 0 80 0;
 9 81 0;
 0 82 107;
 0 83 108;
 0 84 0;
 0 85 0;
 0 86 109;
 0 87 0;
 0 88 0;
 0 89 0;
 0 90 0;
 10 91 0;
 0 92 110;
 0 93 0;
 0 94 0;
 0 95 111;
 0 96 112;]';
M_.nstatic = 60;
M_.nfwrd   = 16;
M_.npred   = 10;
M_.nboth   = 0;
M_.nsfwrd   = 16;
M_.nspred   = 10;
M_.ndynamic   = 26;
M_.equations_tags = {
};
M_.static_and_dynamic_models_differ = 0;
M_.exo_names_orig_ord = [1:5];
M_.maximum_lag = 1;
M_.maximum_lead = 1;
M_.maximum_endo_lag = 1;
M_.maximum_endo_lead = 1;
oo_.steady_state = zeros(86, 1);
M_.maximum_exo_lag = 0;
M_.maximum_exo_lead = 0;
oo_.exo_steady_state = zeros(5, 1);
M_.params = NaN(85, 1);
M_.NNZDerivatives = [307; 0; -1];
M_.params( 66 ) = 0;
D_CE = M_.params( 66 );
M_.params( 65 ) = 0;
DUM_QS = M_.params( 65 );
M_.params( 41 ) = 1.005;
Pi_ss = M_.params( 41 );
M_.params( 17 ) = 0.95;
omega_CC = M_.params( 17 );
M_.params( 13 ) = 0.24;
alpha_K_ss = M_.params( 13 );
M_.params( 18 ) = 0.025;
delta = M_.params( 18 );
M_.params( 16 ) = 1;
epsilon = M_.params( 16 );
M_.params( 19 ) = 0;
deltah = M_.params( 19 );
M_.params( 81 ) = 0;
rho_i = M_.params( 81 );
M_.params( 82 ) = 1.5;
phi_pi = M_.params( 82 );
M_.params( 34 ) = 0.007;
kappa_Pi = M_.params( 34 );
M_.params( 29 ) = (1-M_.params(13))/0.6274999999999999;
mu_p_ss = M_.params( 29 );
M_.params( 1 ) = 0.97;
theta = M_.params( 1 );
dtheta_K=0.01;  
M_.params( 6 ) = 0.7;
sigma_B = M_.params( 6 );
M_.params( 7 ) = M_.params(6);
sigma_K = M_.params( 7 );
M_.params( 4 ) = 1;
sigma_O = M_.params( 4 );
M_.params( 45 ) = 1.004962931573204;
RR_ss = M_.params( 45 );
M_.params( 24 ) = 1;
nu = M_.params( 24 );
M_.params( 10 ) = 1;
eta = M_.params( 10 );
M_.params( 71 ) = 0;
H_min_O = M_.params( 71 );
Q_H_HY =4.2385;
k_CC=0.31; 
M_.params( 39 ) = 1;
EFP_FC = M_.params( 39 );
EFP_CC =1.015^(1/4)
M_.params( 27 ) = 0.05;
epsilon_CC = M_.params( 27 );
M_.params( 20 ) = 0.7;
s_H_CC = M_.params( 20 );
M_.params( 83 ) = 0.7;
nu_cascade = M_.params( 83 );
M_.params( 5 ) = M_.params(4);
sigma_CC = M_.params( 5 );
M_.params( 28 ) = 0;
h_CC = M_.params( 28 );
M_.params( 25 ) = M_.params(24);
nu_CC = M_.params( 25 );
M_.params( 72 ) = 0.005500000000000001;
J2_ss = M_.params( 72 );
M_.params( 70 ) = 0;
H_min_CC = M_.params( 70 );
M_.params( 21 ) = 7;
epsilon_I = M_.params( 21 );
M_.params( 52 ) = 0.3333333333333333;
N_O_ss = M_.params( 52 );
M_.params( 53 ) = 0.3333333333333333;
N_CC_ss = M_.params( 53 );
M_.params( 47 ) = 1;
H_ss = M_.params( 47 );
Q_HHY_ss=2.2*4;
M_.params( 31 ) = 1;
S_ss = M_.params( 31 );
GY      = 0.2;
b2GDP   = 4*0.38;
M_.params( 36 ) = M_.params(45)-1+0.5;
tau_b = M_.params( 36 );
M_.params( 78 ) = GY*0.65;
TCCY = M_.params( 78 );
M_.params( 75 ) = 0;
tau_C_ss = M_.params( 75 );
M_.params( 76 ) = 0;
tau_Wh_ss = M_.params( 76 );
M_.params( 77 ) = 0;
tau_K_ss = M_.params( 77 );
M_.params( 2 ) = M_.params(1)/M_.params(45);
beta_O = M_.params( 2 );
M_.params( 59 ) = M_.params(45)*M_.params(41);
R_ss = M_.params( 59 );
M_.params( 46 ) = M_.params(59);
Re_ss = M_.params( 46 );
if theta<1
theta_K=theta+dtheta_K;
else
theta_K=theta;
end
M_.params( 60 ) = M_.params(59)*EFP_CC;
R_CC_ss = M_.params( 60 );
M_.params( 38 ) = (1-M_.params(39)/EFP_CC)/M_.params(72);
LGD = M_.params( 38 );
RR_CC_ss=R_CC_ss/Pi_ss;
M_.params( 30 ) = 1/M_.params(29);
mc_ss = M_.params( 30 );
M_.params( 64 ) = (theta_K/M_.params(2)-1)/(1-M_.params(77))+M_.params(18);
rK_ss = M_.params( 64 );
YK_ss=rK_ss/(mc_ss*alpha_K_ss);
M_.params( 15 ) = YK_ss;
AK_ss = M_.params( 15 );
M_.params( 40 ) = 2.60289;
K_ss = M_.params( 40 );
N_ss=(N_O_ss^((1-omega_CC))*N_CC_ss^((omega_CC)));
M_.params( 44 ) = YK_ss*M_.params(40);
Y_ss = M_.params( 44 );
M_.params( 14 ) = M_.params(44)/N_ss;
AN_ss = M_.params( 14 );
M_.params( 62 ) = M_.params(18)*M_.params(40);
I_ss = M_.params( 62 );
M_.params( 50 ) = M_.params(44)*M_.params(30)*(1-M_.params(13))*(1-M_.params(17))/M_.params(52);
w_O_ss = M_.params( 50 );
M_.params( 51 ) = M_.params(44)*M_.params(30)*(1-M_.params(13))*M_.params(17)/M_.params(53);
w_CC_ss = M_.params( 51 );
M_.params( 74 ) = M_.params(62)/M_.params(44);
IY_ss = M_.params( 74 );
M_.params( 57 ) = M_.params(44)*b2GDP;
b_gov_O_ss = M_.params( 57 );
M_.params( 35 ) = GY*M_.params(44);
G_ss = M_.params( 35 );
Q_H_H_CCY=Q_H_HY*s_H_CC;
Q_H_H_OY=(1-s_H_CC)*Q_H_HY;
M_.params( 58 ) = 1;
Q_H_ss = M_.params( 58 );
M_.params( 47 ) = M_.params(44)*Q_H_HY/M_.params(58);
H_ss = M_.params( 47 );
M_.params( 54 ) = M_.params(47)*(1-M_.params(20));
H_O_ss = M_.params( 54 );
M_.params( 55 ) = M_.params(47)*M_.params(20);
H_CC_ss = M_.params( 55 );
M_.params( 63 ) = M_.params(47)*M_.params(19);
IH_ss = M_.params( 63 );
M_.params( 67 ) = k_CC/RR_CC_ss*Q_H_H_CCY;
bCCY = M_.params( 67 );
C_CCY=((1-tau_Wh_ss)*(1-alpha_K_ss)*omega_CC/mu_p_ss-TCCY-bCCY*(RR_CC_ss-1)-deltah*Q_H_H_CCY)/(1+tau_C_ss); 
M_.params( 49 ) = M_.params(44)*C_CCY;
C_CC_ss = M_.params( 49 );
M_.params( 56 ) = M_.params(44)*M_.params(67);
b_CC_ss = M_.params( 56 );
M_.params( 42 ) = M_.params(44)*M_.params(78);
T_CC_ss = M_.params( 42 );
M_.params( 79 ) = 100*M_.params(56)/(M_.params(53)*4*M_.params(51));
b2income_CC_ss = M_.params( 79 );
lambda_CC_ss=C_CC_ss^(-sigma_CC)/(1+tau_C_ss);
ombarh_ss=k_CC;
M_.params( 37 ) = (1-ombarh_ss)/log((1-M_.params(72))/M_.params(72));
sgmh = M_.params( 37 );
z_CC_ss=ombarh_ss;
dJ2dombarh_ss=exp(-(ombarh_ss-1)/sgmh)/(1+exp(-(ombarh_ss-1)/sgmh))^2;
M_.params( 85 ) = (EFP_CC/M_.params(39)-1)/(M_.params(56)/(M_.params(58)*M_.params(55)));
chi_R_CC = M_.params( 85 );
dRLdbCC_ss=R_ss*EFP_FC*chi_R_CC/(Q_H_ss*H_CC_ss);
dRLdHCC_ss=-R_ss*EFP_FC*chi_R_CC/((H_CC_ss)^2*Q_H_ss);
dRLdbCC_ssXb_CC_ss=dRLdbCC_ss*b_CC_ss;
RCCC_ss=R_ss/Pi_ss*(EFP_FC*(1+chi_R_CC*(b_CC_ss)/(Q_H_ss*H_CC_ss))-1)*b_CC_ss;
M_.params( 3 ) = 1/(RR_CC_ss+dRLdbCC_ssXb_CC_ss/M_.params(41));
beta_CC = M_.params( 3 );
LmbRl_Lmb_L=beta_CC/(1-LGD*J2_ss-LGD*dJ2dombarh_ss*ombarh_ss);
MUH_lambda_CC_ss=(Q_H_ss-beta_CC*(Q_H_ss-RR_CC_ss*b_CC_ss*dRLdHCC_ss));
MUH_CC_ss=lambda_CC_ss*MUH_lambda_CC_ss;
M_.params( 23 ) = MUH_CC_ss*M_.params(55)^M_.params(25);
chi_H_CC = M_.params( 23 );
M_.params( 48 ) = M_.params(44)-M_.params(49)-M_.params(35)-RCCC_ss-M_.params(62)-M_.params(63);
C_O_ss = M_.params( 48 );
C_OY=C_O_ss/Y_ss;
M_.params( 84 ) = M_.params(56)+M_.params(57);
b_O_ss = M_.params( 84 );
chi_H_O_nopow=Q_H_H_OY/C_OY*(1-1/RR_ss*(1-deltah));
M_.params( 43 ) = M_.params(35)+(M_.params(45)-1)*M_.params(57)-(M_.params(76)*(M_.params(53)*M_.params(51)+M_.params(52)*M_.params(50))+M_.params(75)*(M_.params(49)+M_.params(48))+M_.params(40)*M_.params(77)*(M_.params(64)-M_.params(18))+M_.params(42));
T_O_ss = M_.params( 43 );
Fbar_ss=b_CC_ss*R_CC_ss/Pi_ss;
F_ss   =Q_H_ss*H_CC_ss;
lambda_O_ss=C_O_ss^(-sigma_O)/(1+tau_C_ss);
LmbRl_ss= LmbRl_Lmb_L*b_CC_ss*lambda_CC_ss;
M_.params( 80 ) = k_CC/RR_CC_ss;
LTV_CC_ss = M_.params( 80 );
M_.params( 33 ) = M_.params(44)*(1-M_.params(30));
prof_ss = M_.params( 33 );
M_.params( 32 ) = M_.params(2)*M_.params(33)/(theta_K-M_.params(2));
QS_ss = M_.params( 32 );
M_.params( 22 ) = M_.params(58)*(1-M_.params(2)*(1-M_.params(19)))*M_.params(54)^M_.params(24)*lambda_O_ss;
chi_H_O = M_.params( 22 );
M_.params( 11 ) = lambda_O_ss*M_.params(50)*(1-M_.params(76))/M_.params(52)^M_.params(10);
phi_N_O = M_.params( 11 );
M_.params( 8 ) = lambda_O_ss*(1-M_.params(1))*(M_.params(56)+M_.params(57))^M_.params(6);
phi_B = M_.params( 8 );
M_.params( 9 ) = lambda_O_ss*(1-theta_K)*(M_.params(40)+M_.params(65)*M_.params(32))^M_.params(7);
phi_K = M_.params( 9 );
M_.params( 12 ) = M_.params(51)*(1-M_.params(76))*lambda_CC_ss/M_.params(53)^M_.params(10);
phi_N_CC = M_.params( 12 );
M_.params( 26 ) = EFP_CC/k_CC^M_.params(27);
psi_CC = M_.params( 26 );
if DUM_QS==1
M_.params( 61 ) = M_.params(52)*M_.params(50)*(1-M_.params(76));
Y_O_ss = M_.params( 61 );
else 
M_.params( 61 ) = M_.params(44)*(1-M_.params(30))+M_.params(52)*M_.params(50)*(1-M_.params(76));
Y_O_ss = M_.params( 61 );
end
M_.params( 68 ) = (M_.params(44)*(1-M_.params(30))+M_.params(52)*M_.params(50)+M_.params(40)*(M_.params(64)-M_.params(18))+(M_.params(45)-1)*(M_.params(56)+M_.params(57))-(1-M_.params(20))*M_.params(63))/(M_.params(44)-M_.params(62)-M_.params(63)-RCCC_ss);
Top20share_ss = M_.params( 68 );
M_.params( 69 ) = M_.params(58)*M_.params(47)/(4*M_.params(44));
H2GDP_ss = M_.params( 69 );
M_.params( 73 ) = (M_.params(53)*M_.params(51)+M_.params(52)*M_.params(50))/M_.params(44);
LABSHARE_ss = M_.params( 73 );
%
% INITVAL instructions
%
options_.initval_file = 0;
oo_.steady_state( 37 ) = M_.params(41);
oo_.steady_state( 38 ) = M_.params(48);
oo_.steady_state( 39 ) = M_.params(49);
oo_.steady_state( 40 ) = M_.params(50);
oo_.steady_state( 41 ) = M_.params(51);
oo_.steady_state( 43 ) = M_.params(52);
oo_.steady_state( 44 ) = M_.params(53);
oo_.steady_state( 42 ) = N_ss;
oo_.steady_state( 45 ) = M_.params(44);
oo_.steady_state( 46 ) = M_.params(40);
oo_.steady_state( 48 ) = M_.params(47);
oo_.steady_state( 55 ) = M_.params(30);
oo_.steady_state( 79 ) = M_.params(29);
oo_.steady_state( 56 ) = 0;
oo_.steady_state( 57 ) = M_.params(35);
oo_.steady_state( 47 ) = M_.params(62);
oo_.steady_state( 49 ) = M_.params(63);
oo_.steady_state( 58 ) = M_.params(43);
oo_.steady_state( 59 ) = M_.params(42);
oo_.steady_state( 60 ) = M_.params(59);
oo_.steady_state( 61 ) = M_.params(59);
oo_.steady_state( 62 ) = M_.params(57);
oo_.steady_state( 64 ) = M_.params(54);
oo_.steady_state( 65 ) = M_.params(55);
oo_.steady_state( 66 ) = M_.params(58);
oo_.steady_state( 67 ) = lambda_CC_ss;
oo_.steady_state( 68 ) = lambda_O_ss;
oo_.steady_state( 69 ) = M_.params(41)*RR_CC_ss;
oo_.steady_state( 71 ) = M_.params(56);
oo_.steady_state( 50 ) = 1;
oo_.steady_state( 54 ) = M_.params(64);
oo_.steady_state( 84 ) = M_.params(40)*(M_.params(64)-M_.params(18));
oo_.steady_state( 72 ) = M_.params(72);
oo_.steady_state( 73 ) = dJ2dombarh_ss;
oo_.steady_state( 74 ) = Fbar_ss;
oo_.steady_state( 75 ) = F_ss;
oo_.steady_state( 76 ) = ombarh_ss;
oo_.steady_state( 77 ) = z_CC_ss;
oo_.steady_state( 78 ) = LmbRl_ss;
oo_.steady_state( 32 ) = M_.params(79);
oo_.steady_state( 33 ) = 1-M_.params(68);
oo_.steady_state( 34 ) = M_.params(55)/M_.params(47);
oo_.steady_state( 12 ) = M_.params(80);
oo_.steady_state( 35 ) = M_.params(69);
oo_.steady_state( 36 ) = M_.params(73);
oo_.steady_state( 80 ) = M_.params(13);
oo_.steady_state( 85 ) = dRLdbCC_ss;
oo_.steady_state( 86 ) = dRLdHCC_ss;
oo_.steady_state( 51 ) = M_.params(32);
oo_.steady_state( 53 ) = M_.params(33);
oo_.steady_state( 52 ) = M_.params(31);
oo_.steady_state( 70 ) = RCCC_ss;
if M_.exo_nbr > 0
	oo_.exo_simul = ones(M_.maximum_lag,1)*oo_.exo_steady_state';
end
if M_.exo_det_nbr > 0
	oo_.exo_det_simul = ones(M_.maximum_lag,1)*oo_.exo_det_steady_state';
end
iK  = varlist_indices('K',M_.endo_names);
iI_CC  = varlist_indices('I_CC',M_.endo_names);
iR  = varlist_indices('R',M_.endo_names);
iI_CC  = varlist_indices('I_CC',M_.endo_names);
ib_gov_O  = varlist_indices('b_gov_O',M_.endo_names);
iH_O  = varlist_indices('H_O',M_.endo_names);
iH_CC  = varlist_indices('H_CC',M_.endo_names);
ib_CC  = varlist_indices('b_CC',M_.endo_names);
iw_CC  = varlist_indices('w_CC',M_.endo_names);
iN_CC  = varlist_indices('N_CC',M_.endo_names);
idJ2APR=varlist_indices('dJ2APR',M_.endo_names);
idR                 = varlist_indices('dR',M_.endo_names);
idb_CCY             = varlist_indices('db_CCY',M_.endo_names);
idH2GDP             = varlist_indices('dH2GDP',M_.endo_names);
idR_CC              = varlist_indices('dR_CC ',M_.endo_names);
idBottom80share     = varlist_indices('dBottom80share',M_.endo_names);
idBottom80share_H   = varlist_indices('dBottom80share_H',M_.endo_names);
idLABSHARE          = varlist_indices('dLABSHARE  ',M_.endo_names);
iLTV_CC = varlist_indices('LTV_CC',M_.endo_names);
idC_O  = varlist_indices('dC_O',M_.endo_names);
idC_CC = varlist_indices('dC_CC',M_.endo_names);
idw_O  = varlist_indices('dw_O',M_.endo_names);
idw_CC = varlist_indices('dw_CC',M_.endo_names);
idN_O  = varlist_indices('dN_O',M_.endo_names);
idN_CC = varlist_indices('dN_CC',M_.endo_names);    
idH_O  = varlist_indices('dH_O',M_.endo_names);
idH_CC = varlist_indices('dH_CC',M_.endo_names);
idb_gov_O = varlist_indices('db_gov_O',M_.endo_names);
idY     = varlist_indices('dY',M_.endo_names);
idQ_H = varlist_indices('dQ_H',M_.endo_names);
idI    = varlist_indices('dI',M_.endo_names);
idb_CC = varlist_indices('db_CC',M_.endo_names);
idK    = varlist_indices('dK',M_.endo_names);
idQ    = varlist_indices('dQ',M_.endo_names);
idEFP  = varlist_indices('dEFP',M_.endo_names); 
idIY   = varlist_indices('dIY',M_.endo_names);
resid;
steady;
oo_.dr.eigval = check(M_,options_,oo_);
RESULTS=[];
counter=0;
if H_min_CC==0
load D_I_CC_90_prof_LGD_high_log;
else
load D_I_CC_sub_prof;
D_I_CC_prof=D_I_CC_sub_prof;
end
mu_p_series=(1-alpha_K_ss)./(LABSHARE_series/100)-mu_p_ss;
D_I_CC_prof(:,2)=mu_p_series(2:end);
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(1,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(1,2)) ];
M_.exo_det_length = 0;
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(2,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(2,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(3,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(3,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(4,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(4,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(5,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(5,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(6,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(6,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(7,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(7,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(8,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(8,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(9,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(9,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(10,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(10,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(11,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(11,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(12,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(12,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(13,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(13,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(14,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(14,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(15,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(15,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(16,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(16,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(17,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(17,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(18,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(18,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(19,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(19,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(20,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(20,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(21,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(21,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(22,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(22,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(23,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(23,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(24,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(24,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(25,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(25,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(26,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(26,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(27,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(27,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(28,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(28,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 80;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(29,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(29,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 200;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(30,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(30,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 200;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(31,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(31,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 200;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(32,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(32,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 200;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(33,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(33,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 200;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(34,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(34,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 200;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(35,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(35,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 200;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:5)]; 
counter=counter+1
%
% SHOCKS instructions
%
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',1,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(36,1)/(1-oo_.steady_state(80))) ];
M_.det_shocks = [ M_.det_shocks;
struct('exo_det',0,'exo_id',2,'multiplicative',0,'periods',1:2000,'value',D_I_CC_prof(36,2)) ];
M_.exo_det_length = 0;
M_.endo_histval=oo_.endo_simul(:,5);
options_.periods = 4000;
perfect_foresight_setup;
options_.simul.maxit = 200;
options_.stack_solve_algo = 1;
perfect_foresight_solver;
newsdet = oo_.endo_simul; 
save newsdet newsdet;
RESULTS=[RESULTS newsdet(:,2:121)]; 
counter=counter+1
RESULTS=RESULTS';
TYEARS=length(RESULTS)/4;
RESULTSYEARS=[];
for k=1:TYEARS
RESULTSYEARS=[RESULTSYEARS; mean(RESULTS(((k-1)*4+1):((k-1)*4+4),:))];
end
if nu_cascade==0;
xlswrite('Result_19802016_top10_fin_MA_2019_05_23_RCCadhoc.xlsx',[RESULTSYEARS],'Rannenberg_Rstar','L4:V39');
else
xlswrite('Result_19802016_top10_fin_MA_2019_05_23_RCCadhoc.xlsx',[RESULTSYEARS],'Rannenberg_Rstar','X4:AH39');
end
save('surprise_solution_2019_05_20_results.mat', 'oo_', 'M_', 'options_');
if exist('estim_params_', 'var') == 1
  save('surprise_solution_2019_05_20_results.mat', 'estim_params_', '-append');
end
if exist('bayestopt_', 'var') == 1
  save('surprise_solution_2019_05_20_results.mat', 'bayestopt_', '-append');
end
if exist('dataset_', 'var') == 1
  save('surprise_solution_2019_05_20_results.mat', 'dataset_', '-append');
end
if exist('estimation_info', 'var') == 1
  save('surprise_solution_2019_05_20_results.mat', 'estimation_info', '-append');
end
if exist('dataset_info', 'var') == 1
  save('surprise_solution_2019_05_20_results.mat', 'dataset_info', '-append');
end
if exist('oo_recursive_', 'var') == 1
  save('surprise_solution_2019_05_20_results.mat', 'oo_recursive_', '-append');
end


disp(['Total computing time : ' dynsec2hms(toc(tic0)) ]);
if ~isempty(lastwarn)
  disp('Note: warning(s) encountered in MATLAB/Octave code')
end
diary off
